<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: SC Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">SC Exported Functions<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d0/ddd/group___n_a_n_o1_x2___s_c___driver.html">SC Driver</a> &raquo; <a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">SC Exported Constants</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for SC Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#ad5_2d2f_2group______n__a__n__o1__x2______s__c______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gae25939fa305f5852efbc7e53406c91b9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae25939fa305f5852efbc7e53406c91b9">SC_ENABLE_INT</a>(sc,  u32Mask)</td></tr>
<tr class="memdesc:gae25939fa305f5852efbc7e53406c91b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro enable smartcard interrupt.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae25939fa305f5852efbc7e53406c91b9">More...</a><br /></td></tr>
<tr class="separator:gae25939fa305f5852efbc7e53406c91b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4269c9aad74dbbe0a213de2d4404ed77"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4269c9aad74dbbe0a213de2d4404ed77">SC_DISABLE_INT</a>(sc,  u32Mask)</td></tr>
<tr class="memdesc:ga4269c9aad74dbbe0a213de2d4404ed77"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro disable smartcard interrupt.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4269c9aad74dbbe0a213de2d4404ed77">More...</a><br /></td></tr>
<tr class="separator:ga4269c9aad74dbbe0a213de2d4404ed77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga669b8227a1056fa08ceb5afe217d8832"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga669b8227a1056fa08ceb5afe217d8832">SC_SET_VCC_PIN</a>(sc,  u32State)</td></tr>
<tr class="memdesc:ga669b8227a1056fa08ceb5afe217d8832"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro set VCC pin state of smartcard interface.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga669b8227a1056fa08ceb5afe217d8832">More...</a><br /></td></tr>
<tr class="separator:ga669b8227a1056fa08ceb5afe217d8832"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga62220e9a491ffc3939ecd0cf91026ddc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga62220e9a491ffc3939ecd0cf91026ddc">SC_SET_CLK_PIN</a>(sc,  u32OnOff)</td></tr>
<tr class="memdesc:ga62220e9a491ffc3939ecd0cf91026ddc"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro turns CLK output on or off.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga62220e9a491ffc3939ecd0cf91026ddc">More...</a><br /></td></tr>
<tr class="separator:ga62220e9a491ffc3939ecd0cf91026ddc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga51438ad6c2f3abab60b73db09fa95bc3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga51438ad6c2f3abab60b73db09fa95bc3">SC_SET_IO_PIN</a>(sc,  u32State)</td></tr>
<tr class="memdesc:ga51438ad6c2f3abab60b73db09fa95bc3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro set I/O pin state of smartcard interface.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga51438ad6c2f3abab60b73db09fa95bc3">More...</a><br /></td></tr>
<tr class="separator:ga51438ad6c2f3abab60b73db09fa95bc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e7d2b09409dcd97efff792cd00d0c8a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e7d2b09409dcd97efff792cd00d0c8a">SC_SET_RST_PIN</a>(sc,  u32State)</td></tr>
<tr class="memdesc:ga8e7d2b09409dcd97efff792cd00d0c8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro set RST pin state of smartcard interface.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e7d2b09409dcd97efff792cd00d0c8a">More...</a><br /></td></tr>
<tr class="separator:ga8e7d2b09409dcd97efff792cd00d0c8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaadb18d6ea936b003149f60db3aeeb403"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaadb18d6ea936b003149f60db3aeeb403">SC_READ</a>(sc)</td></tr>
<tr class="memdesc:gaadb18d6ea936b003149f60db3aeeb403"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro read one byte from smartcard module receive FIFO.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaadb18d6ea936b003149f60db3aeeb403">More...</a><br /></td></tr>
<tr class="separator:gaadb18d6ea936b003149f60db3aeeb403"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2528b4dd15065e779a59a5eb58aa4464"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2528b4dd15065e779a59a5eb58aa4464">SC_WRITE</a>(sc,  u8Data)</td></tr>
<tr class="memdesc:ga2528b4dd15065e779a59a5eb58aa4464"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro write one byte to smartcard module transmit FIFO.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2528b4dd15065e779a59a5eb58aa4464">More...</a><br /></td></tr>
<tr class="separator:ga2528b4dd15065e779a59a5eb58aa4464"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae429a57a34b2afd2e041714b0aee0b92"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae429a57a34b2afd2e041714b0aee0b92">SC_SET_STOP_BIT_LEN</a>(sc,  u32Len)</td></tr>
<tr class="memdesc:gae429a57a34b2afd2e041714b0aee0b92"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro set smartcard stop bit length.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae429a57a34b2afd2e041714b0aee0b92">More...</a><br /></td></tr>
<tr class="separator:gae429a57a34b2afd2e041714b0aee0b92"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gad699bccb4c5e1e51532907309a8f25e5"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad699bccb4c5e1e51532907309a8f25e5">SC_SetTxRetry</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32Count)</td></tr>
<tr class="memdesc:gad699bccb4c5e1e51532907309a8f25e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/Disable Tx error retry, and set Tx error retry count.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad699bccb4c5e1e51532907309a8f25e5">More...</a><br /></td></tr>
<tr class="separator:gad699bccb4c5e1e51532907309a8f25e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga71291615e3fbee7de0cad3e8ff57a18f"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga71291615e3fbee7de0cad3e8ff57a18f">SC_SetRxRetry</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32Count)</td></tr>
<tr class="memdesc:ga71291615e3fbee7de0cad3e8ff57a18f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/Disable Rx error retry, and set Rx error retry count.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga71291615e3fbee7de0cad3e8ff57a18f">More...</a><br /></td></tr>
<tr class="separator:ga71291615e3fbee7de0cad3e8ff57a18f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga686a066952920555d863a2adbb1c985a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga686a066952920555d863a2adbb1c985a">SC_IsCardInserted</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:ga686a066952920555d863a2adbb1c985a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function indicates specified smartcard slot status.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga686a066952920555d863a2adbb1c985a">More...</a><br /></td></tr>
<tr class="separator:ga686a066952920555d863a2adbb1c985a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabbf16e2b53c6775d903d5e398d4c5e29"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabbf16e2b53c6775d903d5e398d4c5e29">SC_ClearFIFO</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:gabbf16e2b53c6775d903d5e398d4c5e29"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reset both transmit and receive FIFO of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabbf16e2b53c6775d903d5e398d4c5e29">More...</a><br /></td></tr>
<tr class="separator:gabbf16e2b53c6775d903d5e398d4c5e29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7fabbdd3ae9853db07af8a98508f8cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fabbdd3ae9853db07af8a98508f8cf">SC_Close</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:gad7fabbdd3ae9853db07af8a98508f8cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fabbdd3ae9853db07af8a98508f8cf">More...</a><br /></td></tr>
<tr class="separator:gad7fabbdd3ae9853db07af8a98508f8cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3fb708b1684dff67a8ce2c3951e55731"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3fb708b1684dff67a8ce2c3951e55731">SC_Open</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32CD, uint32_t u32PWR)</td></tr>
<tr class="memdesc:ga3fb708b1684dff67a8ce2c3951e55731"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function initialized smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3fb708b1684dff67a8ce2c3951e55731">More...</a><br /></td></tr>
<tr class="separator:ga3fb708b1684dff67a8ce2c3951e55731"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga31243375c4a9a634e6b5fb3808aabb21"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31243375c4a9a634e6b5fb3808aabb21">SC_ResetReader</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:ga31243375c4a9a634e6b5fb3808aabb21"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reset specified smartcard module to its default state for activate smartcard.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31243375c4a9a634e6b5fb3808aabb21">More...</a><br /></td></tr>
<tr class="separator:ga31243375c4a9a634e6b5fb3808aabb21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2744d5a40d4fd646192c641d20aecb78"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2744d5a40d4fd646192c641d20aecb78">SC_SetBlockGuardTime</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32BGT)</td></tr>
<tr class="memdesc:ga2744d5a40d4fd646192c641d20aecb78"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function block guard time (BGT) of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2744d5a40d4fd646192c641d20aecb78">More...</a><br /></td></tr>
<tr class="separator:ga2744d5a40d4fd646192c641d20aecb78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga309160531bd03b3df167a13e5f1e63b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga309160531bd03b3df167a13e5f1e63b1">SC_SetCharGuardTime</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32CGT)</td></tr>
<tr class="memdesc:ga309160531bd03b3df167a13e5f1e63b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function character guard time (CGT) of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga309160531bd03b3df167a13e5f1e63b1">More...</a><br /></td></tr>
<tr class="separator:ga309160531bd03b3df167a13e5f1e63b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga450a6bee9c5c243cc116fdeae859dbf3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga450a6bee9c5c243cc116fdeae859dbf3">SC_StopAllTimer</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:ga450a6bee9c5c243cc116fdeae859dbf3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function stop all smartcard timer of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga450a6bee9c5c243cc116fdeae859dbf3">More...</a><br /></td></tr>
<tr class="separator:ga450a6bee9c5c243cc116fdeae859dbf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6f12c3d08c7ab548f69e90e94340aea8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f12c3d08c7ab548f69e90e94340aea8">SC_StartTimer</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TimerNum, uint32_t u32Mode, uint32_t u32ETUCount)</td></tr>
<tr class="memdesc:ga6f12c3d08c7ab548f69e90e94340aea8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function configure and start a smartcard timer of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f12c3d08c7ab548f69e90e94340aea8">More...</a><br /></td></tr>
<tr class="separator:ga6f12c3d08c7ab548f69e90e94340aea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a9ee8ad942a87c0c22d61ea333e7e0c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6a9ee8ad942a87c0c22d61ea333e7e0c">SC_StopTimer</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TimerNum)</td></tr>
<tr class="memdesc:ga6a9ee8ad942a87c0c22d61ea333e7e0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function stop a smartcard timer of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6a9ee8ad942a87c0c22d61ea333e7e0c">More...</a><br /></td></tr>
<tr class="separator:ga6a9ee8ad942a87c0c22d61ea333e7e0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga4269c9aad74dbbe0a213de2d4404ed77" name="ga4269c9aad74dbbe0a213de2d4404ed77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4269c9aad74dbbe0a213de2d4404ed77">&#9670;&nbsp;</a></span>SC_DISABLE_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_DISABLE_INT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Mask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro disable smartcard interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>Interrupt mask to be disabled. A combination of<ul>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a2b100c0d7dec7d1a16744833ba43b8e8">SC_IER_ACON_ERR_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7914eb8dfb422a1776d836aac54e6aa9">SC_IER_RTMR_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3910f6dd7bbbd7e1d5bf5b55442024f5">SC_IER_INIT_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aaadf3c8b8aea2b3848a50d7fe121771d">SC_IER_CD_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a8e56f26e62974da882c989216e2f6369">SC_IER_BGT_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a6fef13501eaa186474fd361c6e08bfce">SC_IER_TMR2_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#acf266ba4dd7f7217124351f774d657ae">SC_IER_TMR1_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a148f9454585ebd0a235fc1d127c1dc00">SC_IER_TMR0_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a98e897bd302beca75c75c884e6379709">SC_IER_TERR_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3c102581dad93fcd7d2df026af25d2af">SC_IER_TBE_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a523d31fdd55b04e654e79bd0de05e353">SC_IER_RDA_IE_Msk</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00096">96</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="gae25939fa305f5852efbc7e53406c91b9" name="gae25939fa305f5852efbc7e53406c91b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae25939fa305f5852efbc7e53406c91b9">&#9670;&nbsp;</a></span>SC_ENABLE_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_ENABLE_INT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Mask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro enable smartcard interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>Interrupt mask to be enabled. A combination of<ul>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a2b100c0d7dec7d1a16744833ba43b8e8">SC_IER_ACON_ERR_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7914eb8dfb422a1776d836aac54e6aa9">SC_IER_RTMR_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3910f6dd7bbbd7e1d5bf5b55442024f5">SC_IER_INIT_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#aaadf3c8b8aea2b3848a50d7fe121771d">SC_IER_CD_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a8e56f26e62974da882c989216e2f6369">SC_IER_BGT_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a6fef13501eaa186474fd361c6e08bfce">SC_IER_TMR2_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#acf266ba4dd7f7217124351f774d657ae">SC_IER_TMR1_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a148f9454585ebd0a235fc1d127c1dc00">SC_IER_TMR0_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a98e897bd302beca75c75c884e6379709">SC_IER_TERR_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a3c102581dad93fcd7d2df026af25d2af">SC_IER_TBE_IE_Msk</a></li>
<li><a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a523d31fdd55b04e654e79bd0de05e353">SC_IER_RDA_IE_Msk</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00076">76</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="gaadb18d6ea936b003149f60db3aeeb403" name="gaadb18d6ea936b003149f60db3aeeb403"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaadb18d6ea936b003149f60db3aeeb403">&#9670;&nbsp;</a></span>SC_READ</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_READ</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro read one byte from smartcard module receive FIFO. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>One byte read from receive FIFO </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00165">165</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="ga62220e9a491ffc3939ecd0cf91026ddc" name="ga62220e9a491ffc3939ecd0cf91026ddc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga62220e9a491ffc3939ecd0cf91026ddc">&#9670;&nbsp;</a></span>SC_SET_CLK_PIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_SET_CLK_PIN</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32OnOff&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro turns CLK output on or off. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32OnOff</td><td>Clock on or off for selected smartcard module, valid values are <a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae3a1226e02cda376b379e6534fd15cd">SC_CLK_ON</a> and <a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7594c159808693097956544911873706">SC_CLK_OFF</a> </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00121">121</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="ga51438ad6c2f3abab60b73db09fa95bc3" name="ga51438ad6c2f3abab60b73db09fa95bc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga51438ad6c2f3abab60b73db09fa95bc3">&#9670;&nbsp;</a></span>SC_SET_IO_PIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_SET_IO_PIN</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32State&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro set I/O pin state of smartcard interface. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32State</td><td>Pin state of I/O pin, valid parameters are <a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4139385096ce734bae06ffcf9b3e17f8">SC_PIN_STATE_HIGH</a> and <a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga701f03dee8707fc79904c366ba9c1ecd">SC_PIN_STATE_LOW</a> </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00136">136</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="ga8e7d2b09409dcd97efff792cd00d0c8a" name="ga8e7d2b09409dcd97efff792cd00d0c8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8e7d2b09409dcd97efff792cd00d0c8a">&#9670;&nbsp;</a></span>SC_SET_RST_PIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_SET_RST_PIN</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32State&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro set RST pin state of smartcard interface. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32State</td><td>Pin state of RST pin, valid parameters are <a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4139385096ce734bae06ffcf9b3e17f8">SC_PIN_STATE_HIGH</a> and <a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga701f03dee8707fc79904c366ba9c1ecd">SC_PIN_STATE_LOW</a> </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00151">151</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="gae429a57a34b2afd2e041714b0aee0b92" name="gae429a57a34b2afd2e041714b0aee0b92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae429a57a34b2afd2e041714b0aee0b92">&#9670;&nbsp;</a></span>SC_SET_STOP_BIT_LEN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_SET_STOP_BIT_LEN</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Len&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro set smartcard stop bit length. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Len</td><td>Stop bit length, ether 1 or 2. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Stop bit length must be 1 for T = 1 protocol and 2 for T = 0 protocol. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00184">184</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="ga669b8227a1056fa08ceb5afe217d8832" name="ga669b8227a1056fa08ceb5afe217d8832"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga669b8227a1056fa08ceb5afe217d8832">&#9670;&nbsp;</a></span>SC_SET_VCC_PIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_SET_VCC_PIN</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32State&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro set VCC pin state of smartcard interface. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32State</td><td>Pin state of VCC pin, valid parameters are <a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4139385096ce734bae06ffcf9b3e17f8">SC_PIN_STATE_HIGH</a> and <a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga701f03dee8707fc79904c366ba9c1ecd">SC_PIN_STATE_LOW</a> </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00105">105</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="ga2528b4dd15065e779a59a5eb58aa4464" name="ga2528b4dd15065e779a59a5eb58aa4464"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2528b4dd15065e779a59a5eb58aa4464">&#9670;&nbsp;</a></span>SC_WRITE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SC_WRITE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">sc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u8Data&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This macro write one byte to smartcard module transmit FIFO. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u8Data</td><td>Data to write to transmit FIFO </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00174">174</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="gabbf16e2b53c6775d903d5e398d4c5e29" name="gabbf16e2b53c6775d903d5e398d4c5e29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabbf16e2b53c6775d903d5e398d4c5e29">&#9670;&nbsp;</a></span>SC_ClearFIFO()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SC_ClearFIFO </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function reset both transmit and receive FIFO of specified smartcard module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d60/sc_8c_source.html#l00061">61</a> of file <a class="el" href="../../df/d60/sc_8c_source.html">sc.c</a>.</p>

</div>
</div>
<a id="gad7fabbdd3ae9853db07af8a98508f8cf" name="gad7fabbdd3ae9853db07af8a98508f8cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad7fabbdd3ae9853db07af8a98508f8cf">&#9670;&nbsp;</a></span>SC_Close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SC_Close </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function disable specified smartcard module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d60/sc_8c_source.html#l00071">71</a> of file <a class="el" href="../../df/d60/sc_8c_source.html">sc.c</a>.</p>

</div>
</div>
<a id="ga686a066952920555d863a2adbb1c985a" name="ga686a066952920555d863a2adbb1c985a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga686a066952920555d863a2adbb1c985a">&#9670;&nbsp;</a></span>SC_IsCardInserted()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SC_IsCardInserted </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function indicates specified smartcard slot status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Card insert status </dd></dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>Card insert </td></tr>
    <tr><td class="paramname">FALSE</td><td>Card remove </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../df/d60/sc_8c_source.html#l00040">40</a> of file <a class="el" href="../../df/d60/sc_8c_source.html">sc.c</a>.</p>

</div>
</div>
<a id="ga3fb708b1684dff67a8ce2c3951e55731" name="ga3fb708b1684dff67a8ce2c3951e55731"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3fb708b1684dff67a8ce2c3951e55731">&#9670;&nbsp;</a></span>SC_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SC_Open </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32CD</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32PWR</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function initialized smartcard module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32CD</td><td>Card detect polarity, select the CD pin state which indicates card is absent. Could be<ul>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4139385096ce734bae06ffcf9b3e17f8">SC_PIN_STATE_HIGH</a></li>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga701f03dee8707fc79904c366ba9c1ecd">SC_PIN_STATE_LOW</a></li>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeb55b76af45870f987a07a7eb77a48be">SC_PIN_STATE_IGNORE</a>, no card detect pin, always assumes card present </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PWR</td><td>Power off polarity, select the PWR pin state which could set smartcard VCC to high level. Could be<ul>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4139385096ce734bae06ffcf9b3e17f8">SC_PIN_STATE_HIGH</a></li>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga701f03dee8707fc79904c366ba9c1ecd">SC_PIN_STATE_LOW</a> </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d60/sc_8c_source.html#l00091">91</a> of file <a class="el" href="../../df/d60/sc_8c_source.html">sc.c</a>.</p>

</div>
</div>
<a id="ga31243375c4a9a634e6b5fb3808aabb21" name="ga31243375c4a9a634e6b5fb3808aabb21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga31243375c4a9a634e6b5fb3808aabb21">&#9670;&nbsp;</a></span>SC_ResetReader()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SC_ResetReader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function reset specified smartcard module to its default state for activate smartcard. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d60/sc_8c_source.html#l00119">119</a> of file <a class="el" href="../../df/d60/sc_8c_source.html">sc.c</a>.</p>

</div>
</div>
<a id="ga2744d5a40d4fd646192c641d20aecb78" name="ga2744d5a40d4fd646192c641d20aecb78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2744d5a40d4fd646192c641d20aecb78">&#9670;&nbsp;</a></span>SC_SetBlockGuardTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SC_SetBlockGuardTime </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32BGT</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function block guard time (BGT) of specified smartcard module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32BGT</td><td>Block guard time using ETU as unit, valid range are between 1 ~ 32 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d60/sc_8c_source.html#l00174">174</a> of file <a class="el" href="../../df/d60/sc_8c_source.html">sc.c</a>.</p>

</div>
</div>
<a id="ga309160531bd03b3df167a13e5f1e63b1" name="ga309160531bd03b3df167a13e5f1e63b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga309160531bd03b3df167a13e5f1e63b1">&#9670;&nbsp;</a></span>SC_SetCharGuardTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SC_SetCharGuardTime </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32CGT</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function character guard time (CGT) of specified smartcard module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32CGT</td><td>Character guard time using ETU as unit, valid range are between 11 ~ 267 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d60/sc_8c_source.html#l00185">185</a> of file <a class="el" href="../../df/d60/sc_8c_source.html">sc.c</a>.</p>

</div>
</div>
<a id="ga71291615e3fbee7de0cad3e8ff57a18f" name="ga71291615e3fbee7de0cad3e8ff57a18f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga71291615e3fbee7de0cad3e8ff57a18f">&#9670;&nbsp;</a></span>SC_SetRxRetry()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void SC_SetRxRetry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable/Disable Rx error retry, and set Rx error retry count. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Count</td><td>The number of times of Rx error retry count, between 0~8. 0 means disable Rx error retry </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00208">208</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="gad699bccb4c5e1e51532907309a8f25e5" name="gad699bccb4c5e1e51532907309a8f25e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad699bccb4c5e1e51532907309a8f25e5">&#9670;&nbsp;</a></span>SC_SetTxRetry()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void SC_SetTxRetry </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable/Disable Tx error retry, and set Tx error retry count. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Count</td><td>The number of times of Tx error retry count, between 0~8. 0 means disable Tx error retry </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d9/d50/sc_8h_source.html#l00192">192</a> of file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>

</div>
</div>
<a id="ga6f12c3d08c7ab548f69e90e94340aea8" name="ga6f12c3d08c7ab548f69e90e94340aea8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6f12c3d08c7ab548f69e90e94340aea8">&#9670;&nbsp;</a></span>SC_StartTimer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SC_StartTimer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32TimerNum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ETUCount</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function configure and start a smartcard timer of specified smartcard module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32TimerNum</td><td>Timer(s) to start. Valid values are 0, 1, 2. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mode</td><td>Timer operating mode, valid values are:<ul>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae87df6cf79c2a8d4d11800abdc12fd3d">SC_TMR_MODE_0</a></li>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae0f8c207f06d76ac991f83f4e9e4ef1c">SC_TMR_MODE_1</a></li>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga678d4e7a4f4df9c67620f61a4a8c9d83">SC_TMR_MODE_2</a></li>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e993e725d025908a74b00de76959cfc">SC_TMR_MODE_3</a></li>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadda1fe01cd6041b3a0a5b873928d99da">SC_TMR_MODE_4</a></li>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc35fb3ef29c35ae19726dbdeb821991">SC_TMR_MODE_5</a></li>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga94cf6d5c9afc10553eea1d7b451943e1">SC_TMR_MODE_6</a></li>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga679670797f561a5b4e15f4bf0d9ba6e4">SC_TMR_MODE_7</a></li>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga54e0f8ab6f2f17e48af5d64e923d029c">SC_TMR_MODE_8</a></li>
<li><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga94ae5ed2453af741c1895a68cb51161b">SC_TMR_MODE_F</a> </li>
</ul>
</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ETUCount</td><td>Timer timeout duration, ETU based. For timer 0, valid range are between 1~0x1000000ETUs. For timer 1 and timer 2, valid range are between 1 ~ 0x100 ETUs </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>This function start the timer within smartcard module, <b>not</b> timer module </dd>
<dd>
Depend on the timer operating mode, timer may not start counting immediately </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d60/sc_8c_source.html#l00223">223</a> of file <a class="el" href="../../df/d60/sc_8c_source.html">sc.c</a>.</p>

</div>
</div>
<a id="ga450a6bee9c5c243cc116fdeae859dbf3" name="ga450a6bee9c5c243cc116fdeae859dbf3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga450a6bee9c5c243cc116fdeae859dbf3">&#9670;&nbsp;</a></span>SC_StopAllTimer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SC_StopAllTimer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function stop all smartcard timer of specified smartcard module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>This function stop the timers within smartcard module, <b>not</b> timer module </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d60/sc_8c_source.html#l00197">197</a> of file <a class="el" href="../../df/d60/sc_8c_source.html">sc.c</a>.</p>

</div>
</div>
<a id="ga6a9ee8ad942a87c0c22d61ea333e7e0c" name="ga6a9ee8ad942a87c0c22d61ea333e7e0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6a9ee8ad942a87c0c22d61ea333e7e0c">&#9670;&nbsp;</a></span>SC_StopTimer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SC_StopTimer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *&#160;</td>
          <td class="paramname"><em>sc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32TimerNum</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function stop a smartcard timer of specified smartcard module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sc</td><td>Base address of smartcard module </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32TimerNum</td><td>Timer(s) to stop. Valid values are 0, 1, 2. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
<dl class="section note"><dt>Note</dt><dd>This function stop the timer within smartcard module, <b>not</b> timer module </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../df/d60/sc_8c_source.html#l00251">251</a> of file <a class="el" href="../../df/d60/sc_8c_source.html">sc.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
